View a markdown version of this page

GetCollector - AWS Continuum for Code Vulnerabilities

GetCollector

Retrieves the current state of the Collector for the caller's account.

Request Syntax

GET /collectors/collectorId HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

collectorId

The identifier of the collector.

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [a-z0-9]+

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "collectorArn": "string", "collectorId": "string", "configRecorderArn": "string", "createdAt": "string", "k8ClusterRole": "string", "status": "string", "type": "string", "updatedAt": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

collectorArn

The Amazon Resource Name (ARN) of the collector.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 1011.

Pattern: arn:[a-z0-9-]+:continuum:[a-z0-9-]+:[0-9]{12}:collectors/[a-z0-9]+

collectorId

The identifier of the collector.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [a-z0-9]+

configRecorderArn

The Amazon Resource Name (ARN) of the config Recorder.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 1011.

Pattern: arn:[a-z0-9-]+:config:[a-z0-9-]+:[0-9]{12}:config(uration)?-recorder/[a-zA-Z0-9_/-]+

createdAt

The timestamp when the resource was created.

Type: Timestamp

k8ClusterRole

The Amazon Resource Name (ARN) of the kubernetes Cluster Role.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 1011.

Pattern: arn:[a-z0-9-]+:iam::[0-9]{12}:role/[a-zA-Z0-9_+=,.@/-]+

status

The current status of the resource.

Type: String

Valid Values: ACTIVE | PENDING_DELETION

type

The type.

Type: String

Valid Values: AWS_COLLECTOR

updatedAt

The timestamp when the resource was last updated.

Type: Timestamp

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

The request is not authorized. Verify that your credentials and request signature are valid and that you have permission to perform this action.

HTTP Status Code: 403

InternalServerException

The request couldn't be processed because of an internal server issue. Try again later. If the problem persists, contact AWS Support.

HTTP Status Code: 500

ResourceNotFoundException

The specified resource was not found. Verify that the resource identifier is correct and that the resource exists.

HTTP Status Code: 404

ThrottlingException

The request was denied due to request throttling.

HTTP Status Code: 429

ValidationException

The request failed to satisfy the constraints specified by AWS Continuum. Correct the fields identified in the error and retry the request.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: